UpdateBaremetalPxeServer
UpdateBaremetalPxeServer
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe UUID of the deployment server.
Body Fields
updatebaremetalpxeserverObjectRequiredupdatebaremetalpxeserver request body object.
nameStringOptional. The name of the deployment server.
descriptionStringOptional. The detailed description of the deployment server.
dhcpInterfaceStringOptional. The DHCP NIC of the deployment server.
dhcpRangeBeginStringOptional. The starting IP address that DHCP assigns to a bare metal instance.
dhcpRangeEndStringOptional. The ending IP address that DHCP assigns to a bare metal instance.
dhcpRangeNetmaskStringOptional. The netmask of the IP range from which the DHCP server assigns an IP address to a bare metal instance.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/baremetal/pxeservers/{uuid}/actions
/zstack/v1/baremetal/pxeservers/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/baremetal/pxeservers/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatebaremetalpxeserver":{"name":"<name>","description":"<description>","dhcpInterface":"<dhcpInterface>","dhcpRangeBegin":"<dhcpRangeBegin>","dhcpRangeEnd":"<dhcpRangeEnd>","dhcpRangeNetmask":"<dhcpRangeNetmask>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "1a88afcfd21b35aa82da9f4b734826b7", "name": "test", "dhcpInterface": "eth0", "dhcpRangeBegin": "10.0.0.1", "dhcpRangeEnd": "10.0.0.255", "dhcpRangeNetmask": "255.255.255.0" } }Change History
This API has no change history records yet.
